#include<bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    string s;
    cin >>s;
    int a=0,b=0;
    reverse(s.begin(),s.end());
    for(long long int i = 0; i < s.size(); i++)
    {
        if (s[i]=='2')a++;
        if (s[i]=='5')b++;
    }
    int qwe = 0;
    for(long long int i = 0; i < s.size(); i++)
    {
        if (qwe == 0 && s[i]=='0'){

        }
        else {
            qwe = 1;
            if (s[i]=='2'){
                cout << '5' ;
            }
            else if (s[i]=='5'){
                cout << '2';
            }
            else {
                cout << s[i];
            }
        }
    }

}
